Index: /trunk/psconfig/psbuild
===================================================================
--- /trunk/psconfig/psbuild	(revision 9030)
+++ /trunk/psconfig/psbuild	(revision 9031)
@@ -33,5 +33,5 @@
 set version = $args[1]
 set group   = $args[2]
-set tagsets = psconfig/tagsets/$group
+set tagsets = tagsets/$group
 
 if (! -e $tagsets) then
@@ -40,5 +40,5 @@
 endif
 
-psconfig $version
+source psconfig.sh $version
 
 set psopts = ""
@@ -50,6 +50,11 @@
  set tag = $name[2]
 
- cd $dir
+ set cwd = `pwd`
+ cd ../$dir
  
+ echo ""
+ echo "***** building $name ($target) *****"
+ pwd
+
  if ($update) then
   switch ($tag)
@@ -75,4 +80,5 @@
  if (-e Build.PL) then
     echo $PERL5LIB
+    alias psperlbuild
     psperlbuild
     # perl Build.PL --install_path script=$bindir --install_path lib=$libdir --install_path bindoc={$PSCONFDIR}/man/man1 --install_path libdoc={$PSCONFDIR}/man/man3
@@ -88,7 +94,13 @@
  endif
 
+ if ($rebuild && $clean) then
+   if (-e configure) rm -f Makefile
+   if (-e configure.ac && -e autogen.sh) rm -f configure
+ endif
+
  if (! -e Makefile) set rebuild = 1
 
  if ($rebuild && ! -e configure && -e autogen.sh) then
+    echo psautogen $psopts
     psautogen $psopts
     if ($status) goto failure;
@@ -96,4 +108,5 @@
 
  if ($rebuild && -e configure) then
+    echo psconfigure $psopts
     psconfigure $psopts
     if ($status) goto failure;
@@ -103,4 +116,5 @@
 
  if ($clean) then 
+    echo make clean
     make clean
     if ($status) goto failure;
@@ -114,5 +128,5 @@
 
  success:
- cd ..
+ cd $cwd
 end
 
Index: /trunk/psconfig/psconfig.sh
===================================================================
--- /trunk/psconfig/psconfig.sh	(revision 9030)
+++ /trunk/psconfig/psconfig.sh	(revision 9031)
@@ -52,5 +52,5 @@
 if ($?LD_LIBRARY_PATH == 0) setenv LD_LIBRARY_PATH
 if ($?PKG_CONFIG_PATH == 0) setenv PKG_CONFIG_PATH
-if ($?PERL5LIB == 0) setenv LD_LIBRARY_PATH
+if ($?PERL5LIB == 0) setenv PERL5LIB
 
 # identify system architecture
@@ -215,4 +215,4 @@
   alias  psconfigure configure --bindir=$bindir --libdir=$libdir --includedir={$PSCONFDIR}/{$PSCONFIG}/include --sysconfdir={$PSCONFDIR}/{$PSCONFIG}/etc --datadir={$PSCONFDIR}/share --mandir={$PSCONFDIR}/man
   alias  psautogen autogen.sh --bindir=$bindir --libdir=$libdir --includedir={$PSCONFDIR}/{$PSCONFIG}/include --sysconfdir={$PSCONFDIR}/{$PSCONFIG}/etc --datadir={$PSCONFDIR}/share --mandir={$PSCONFDIR}/man
-  alias  psperlbuild perl Build.PL --install_path script=$bindir --install_path lib=$libdir --install_path bindoc={$PSCONFDIR}/man/man1 --install_path libdoc={$PSCONFDIR}/man/man3
-endif
+  alias  psperlbuild perl Build.PL --install_path script=$bindir --install_path arch=$bindir --install_path bin=$bindir --install_path lib=$libdir --install_path bindoc={$PSCONFDIR}/man/man1 --install_path libdoc={$PSCONFDIR}/man/man3
+endif
Index: /trunk/psconfig/tagsets/ippHead
===================================================================
--- /trunk/psconfig/tagsets/ippHead	(revision 9030)
+++ /trunk/psconfig/tagsets/ippHead	(revision 9031)
@@ -1,4 +1,4 @@
-pslib:HEAD
-psmodules:HEAD
+psLib:HEAD
+psModules:HEAD
 
 psphot:HEAD
@@ -17,4 +17,4 @@
 glueforge:HEAD
 dbconfig:HEAD
-ippdb:NONE
+ippdb.src:NONE
 ippTools/pXtools:HEAD
